
#define OPTION_COUNT	29
#define ROWH			26
#define MAX_ROWS		30
#define ABS(x)			(((x)>0)?(x):(-(x)))

#define MENU_NONE		0
#define MENU_SAVE		1
#define MENU_DELETE		2
#define MENU_UPDATE		3
#define MENU_EXIT		4
#define MENU_CANCEL		5
#define MENU_AUDIO		6
#define MENU_BOOKMARK	7
#define MENU_NEXTTAP	8

typedef enum
{
	MENU_TYPE_None,
	MENU_TYPE_Bool,
	MENU_TYPE_Int,
	MENU_TYPE_Key,
	MENU_TYPE_Action
} tMenuType;

typedef struct
{
	int			value;
	int			min;
	int			max;
	tMenuType	typ;
} tOption;

typedef struct
{
	bool	bVisible;
	bool	bPaint;
	bool	bEdit;
	int		winX;
	int		winY;
	int		winW;
	int		winH;
	int		itemCount;
	int		currentPos;
	int		startPos;
	int		viewRows;
	int		tabXPos;
	int		lastSliderY;
	int		lastSliderH;
	int		rowNumber;
	int		rowDigits;
	word	rgn;
} tDialog;


void  DialogPaint();
void  DialogPaintFocus( int oldPos, int newPos );
void  DialogPaintItem( int pos );
void  DialogAddItem( char *item1 );
void  DialogSetOptions();
dword DialogKey( dword key );
void  DialogOpen( char *title, tIniFile *ini );
void  DialogOpenScan( char *title );
void  DialogClose();

