
#include "tap.h"
#include <string.h>
#include "Overfly.h"
#include "Dialog.h"
#include "Keys.h"
#include "Overfly5T.GD"
#include "Overfly5C.GD"
#include "Overfly5B.GD"
#include "Slider5.GD"

#define TXTY			50
#define S_COUNTDOWN		"OF.64"

extern bool bDialog;
tDialog		dlg;
tIniFile *	pIni;
word		cursor[460];
char    	temp[128];
char 		itemBuffer[MAX_ROWS*64];
char *		itemBufPos;
char *		item[MAX_ROWS];

char *optionName[OPTION_COUNT] XDATA = 
{
	" 1. Patch DD2.0",
	" 2. Patch DD5.1",
	" 3. Bookmark Start",
	" 4. Bookmark Ende",
	" 5. Bookmark Import",
	" 6. Filmliste erstellen",
	" 7. Aviator",
	" 8. DataFiles Reload",
	" 9. Patch Fseek (2-4 GB)",
	"10. Turbolader (4GB - 2TB)",
	"11. Patch EPG Info",
	"12. Filme umbenennen (Of_*)",
	"13. Ordner durchsuchen",
	"14. Flugschreiber / Blackbox",
	"15. Letterbox",
	"16. Countdown (x-pos)",
	"17. Countdown (y-pos)",
	"18. Abflugverzgerung (Sek/5)",
	"19. Lautstrke-Absenkung",
	"20. Dj vue (Sek/5)",
	"21. Men-Taste (2x)",
	"22. Autostart-Verzgerung (Sek)",
	"23. Schrittweite (MB)",
	"24. Filmliste lschen",
	"25. Filmliste aktualisieren",
	"26. Alle Bookmarks lschen",
	"27. Alle Audio-PIDs zurcksetzen",
	"28. Overfly Ende",
	"29. Nchstes TAP"
};

tOption options[OPTION_COUNT] = {
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 1,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 1,  0, 1,		MENU_TYPE_Bool },
	{ 1,  0, 1,		MENU_TYPE_Bool },
	{ 1,  0, 1,		MENU_TYPE_Bool },
	{ 1,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 0,  0, 1,		MENU_TYPE_Bool },
	{ 40, 0, 680,		MENU_TYPE_Int },
	{ 30, 0, 552,		MENU_TYPE_Int },
	{ 30, 0, 50,		MENU_TYPE_Int },
	{ 2,  0, 17,		MENU_TYPE_Int },
	{ -15, -50, 300,	MENU_TYPE_Int },
	{ 0x10025, 0, KEY_COUNT-1,	MENU_TYPE_Key },
	{ 15, 0, 600,			MENU_TYPE_Int },
	{ 64, 16, 128,			MENU_TYPE_Int },
	{ 0, 0, MENU_DELETE,	MENU_TYPE_Action },
	{ 0, 0, MENU_UPDATE,	MENU_TYPE_Action },
	{ 0, 0, MENU_BOOKMARK,	MENU_TYPE_Action },
	{ 0, 0, MENU_AUDIO,		MENU_TYPE_Action },
	{ 0, 0, MENU_EXIT,		MENU_TYPE_Action },
	{ 0, 0, MENU_NEXTTAP,	MENU_TYPE_Action }
};

word	rgbTextNrm    = RGB(28,30,31);
word	rgbBackNrm    = RGB( 4, 8,14);
word	rgbCursorText = RGB( 0, 3, 6);
word	rgbCursorBack = RGB(21,24,27);
word	rgbTitleText  = RGB(31,23,15);
word	rgbTitleBack  = RGB( 0, 5, 8);
word	rgbSliderBack = RGB( 4, 7,12);

/*
void DialogDrawLine( word rgn, int Ax, int Ay, int Bx, int By, int Color )
{
	int dX = ABS(Bx-Ax);	// store the change in X and Y of the line endpoints
	int dY = ABS(By-Ay);
	int CurrentX = Ax;		// store the starting point (just point A)
	int CurrentY = Ay;
	int Xincr, Yincr;
	if (Ax > Bx) { Xincr=-1; } else { Xincr=1; }	// which direction in X?
	if (Ay > By) { Yincr=-1; } else { Yincr=1; }	// which direction in Y?
	if (dX >= dY) { 	// if X is the independent variable
		int dPr 	= dY<<1;						// amount to increment decision if right is chosen (always)
		int dPru	= dPr - (dX<<1);				// amount to increment decision if up is chosen
		int P		= dPr - dX; 					// decision variable start value
		for (; dX>=0; dX--) { 						// process each point in the line one at a time (just use dX)
			TAP_Osd_PutPixel( rgn, CurrentX, CurrentY, Color);	  // plot the pixel
			if (P > 0) {							// is the pixel going right AND up?
				CurrentX+=Xincr;					// increment independent variable
				CurrentY+=Yincr;					// increment dependent variable
				P+=dPru;							// increment decision (for up)
			} else {								// is the pixel just going right?
				CurrentX+=Xincr;					// increment independent variable
				P+=dPr; 							// increment decision (for right)
			}
		}
	} else {			// if Y is the independent variable
		int dPr 	= dX<<1;						// amount to increment decision if right is chosen (always)
		int dPru	= dPr - (dY<<1);					// amount to increment decision if up is chosen
		int P		= dPr - dY; 					// decision variable start value
		for (; dY>=0; dY--) { 						// process each point in the line one at a time (just use dY)
			TAP_Osd_PutPixel( rgn, CurrentX, CurrentY, Color);	  // plot the pixel
			if (P > 0) {							// is the pixel going up AND right?
				CurrentX+=Xincr;					// increment dependent variable
				CurrentY+=Yincr;					// increment independent variable
				P+=dPru;							// increment decision (for up)
			} else {								// is the pixel just going up?
				CurrentY+=Yincr;					// increment independent variable
				P+=dPr; 							// increment decision (for right)
			}
		}
	}
}
*/

void DialogScrollbar( int line )
{
	int sliderY,sliderH,scrollbarX,scrollbarY,scrollbarH;
	if (dlg.itemCount > dlg.viewRows) {		// Scrollbar
		scrollbarY = dlg.winY+TXTY;
		scrollbarH = dlg.viewRows*ROWH;
		sliderH = 94;
		sliderY = scrollbarY+(((scrollbarH-sliderH)*((dlg.currentPos*ROWH)+line))/((dlg.itemCount-1)*ROWH));
		if (sliderY != dlg.lastSliderY) {
			scrollbarX = dlg.winX+dlg.winW-17;
			TAP_Osd_PutGd(dlg.rgn, scrollbarX, sliderY, &_slider5Gd, FALSE);
			if (sliderY > scrollbarY)	// Background Top
				TAP_Osd_FillBox(dlg.rgn, scrollbarX, scrollbarY, 8, sliderY-scrollbarY, rgbSliderBack);
			if (dlg.currentPos < (dlg.itemCount-1))	// Background Bottom
				TAP_Osd_FillBox(dlg.rgn, scrollbarX, sliderY+sliderH, 8, scrollbarY+scrollbarH-sliderY-sliderH, rgbSliderBack);
			dlg.lastSliderY = sliderY;
		}
	}
}

bool DialogScrollCursor( int oldPos, int newPos, bool down )
{
	word w,lx,lw,y,yo,yn;
	dword loop;
	word data[460];

	if (ABS(oldPos-newPos) != 1) return FALSE;
	lx = dlg.winX+20;
	lw = dlg.winX+dlg.winW-20-lx;
	yo = dlg.winY+TXTY+(oldPos-dlg.startPos)*ROWH;
	yn = dlg.winY+TXTY+(newPos-dlg.startPos)*ROWH;
	if (!down) {
		yo+=ROWH-1;
		yn+=ROWH-1;
	}
	for (y=0; y<ROWH; y++) {
		TAP_Osd_GetBox(dlg.rgn, lx, yo, lw, 1, data);
		for (w=0; w<lw; w++) {
			if (data[w] == rgbCursorText) data[w] = rgbTextNrm;
			else data[w] = rgbBackNrm;
		}
		TAP_Osd_PutBox(dlg.rgn, lx, yo, lw, 1, data, FALSE, 0);
		TAP_Osd_GetBox(dlg.rgn, lx, yn, lw, 1, data);
		for (w=0; w<lw; w++) {
			if (data[w] == rgbTextNrm) data[w] = rgbCursorText;
			else data[w] = cursor[w];
		}
		TAP_Osd_PutBox(dlg.rgn, lx, yn, lw, 1, data, FALSE, 0);
		if (y&1 == 1) {
			DialogScrollbar(down? y-ROWH+1 : ROWH-y-1);
			loop = 292<<10; //  437<<10 pro Tick
			while (loop > 0) loop--;
		}
		if (!down) {
			yo--; yn--;
		} else {
			yo++; yn++;
		}
	}
	return TRUE;
}

void DialogInitCursor()
{
	word k,w,lx,lw;
	int  rt,gt,bt,rb,gb,bb,r,g,b;
	lx = dlg.winX+20;
	lw = dlg.winX+dlg.winW-20-lx;
	rt = ((rgbBackNrm>>10) & 31)<<8;
	gt = ((rgbBackNrm>>5) & 31)<<8;
	bt = (rgbBackNrm & 31)<<8;
	rb = ((rgbCursorBack>>10) & 31)<<8;
	gb = ((rgbCursorBack>>5) & 31)<<8;
	bb = (rgbCursorBack & 31)<<8;
	for (w=0; w<lw; w++) {
		if (w > lw-33) {
			k = lw-w-1;	//31..0
			r = rt+(((rb-rt)*k)>>5);
			g = gt+(((gb-gt)*k)>>5);
			b = bt+(((bb-bt)*k)>>5);
			cursor[w] = RGB(r>>8,g>>8,b>>8);
		} else cursor[w] = rgbCursorBack;
	}
}

void DialogDrawCursor( int xpos, int ypos )
{
	word y,ly,lx,lw;
	lx = dlg.winX+20+xpos;
	lw = dlg.winX+dlg.winW-20-lx;
	for (y=0; y<ROWH; y++)
		TAP_Osd_PutBox(dlg.rgn, lx, ypos+y, lw, 1, cursor+xpos, FALSE, 0);
}

void DialogTabString( int x, int y, int xm, int itemIdx, word tc, word bc )
{
	dword tpos,tx;
	char *tab;
	char buffer[128];
	tab = strchr(item[itemIdx], '\t');
	if (tab != NULL && tab > item[itemIdx]) {
		tx = x+dlg.tabXPos;
		tpos = ((dword)tab)-((dword)item[itemIdx]);
		strcpy(buffer, item[itemIdx]);
		buffer[tpos]=0;
		TAP_Osd_PutString(dlg.rgn, x, y, tx, buffer, tc, bc, 0, FNT_Size_1622, 0);
		TAP_Osd_PutString(dlg.rgn, tx, y, xm, buffer+tpos+1, tc, bc, 0, FNT_Size_1622, 0);
	} else
		TAP_Osd_PutString(dlg.rgn, x, y, xm, item[itemIdx], tc, bc, 0, FNT_Size_1622, 0);
}

void DialogPaintEdit( int pos )
{
	int  x,y,yn,xm;
	word color,r,g,b,rt,gt,bt,rb,gb,bb;
	dword tpos,tx;
	char *tab;

	if (!dlg.bPaint) return;
	x = dlg.winX + 25;
	y = dlg.winY + TXTY;
	xm = dlg.winX + dlg.winW - 20;
	yn = y+(pos-dlg.startPos)*ROWH;
	DialogDrawCursor(dlg.tabXPos, yn);
	tab = strchr(item[pos], '\t');
	if (tab != NULL && tab > item[pos]) {
		tx = x+dlg.tabXPos;
		tpos = ((dword)tab)-((dword)item[pos]);
		rt = ((rgbCursorText>>10) & 31)<<8;
		gt = ((rgbCursorText>>5) & 31)<<8;
		bt = (rgbCursorText & 31)<<8;
		rb = ((rgbCursorBack>>10) & 31)<<8;
		gb = ((rgbCursorBack>>5) & 31)<<8;
		bb = (rgbCursorBack & 31)<<8;
		for (y=2; y<8; y++) {
			r = rb-(((rb-rt)*y)>>3);
			g = gb-(((gb-gt)*y)>>3);
			b = bb-(((bb-bt)*y)>>3);
			color = RGB(r>>8,g>>8,b>>8);
			TAP_Osd_PutString(dlg.rgn, tx, yn+2, xm, item[pos]+tpos+1, color, COLOR_None, 0, FNT_Size_1622, 0);
			TAP_Delay(3);
		}
		TAP_Osd_PutString(dlg.rgn, tx, yn+2, xm, item[pos]+tpos+1, rgbCursorText, COLOR_None, 0, FNT_Size_1622, 0);
	} else
		TAP_Osd_PutString(dlg.rgn, x, yn+2, xm, item[pos], rgbCursorText, COLOR_None, 0, FNT_Size_1622, 0);
}

void DialogPaint()
{
	int i,k,rows,x,y,xm;
	if (!dlg.bPaint) return;
	x = dlg.winX + 25;
	y = dlg.winY + TXTY;
	xm = dlg.winX + dlg.winW - 20;
	rows = dlg.itemCount > dlg.viewRows ? dlg.viewRows : dlg.itemCount;
	for (i=0; i<rows; i++) {
		k=i+dlg.startPos;
		if (k == dlg.currentPos) {
			DialogDrawCursor(0, y);
			DialogTabString( x, y+2, xm, k, rgbCursorText, COLOR_None);
		} else {
			TAP_Osd_FillBox(dlg.rgn, x-5, y, xm-x+5, ROWH, rgbBackNrm);
			DialogTabString( x, y+2, xm, k, rgbTextNrm, COLOR_None);
		}
		y+=ROWH;
		if (y > dlg.winY+dlg.winH) break;
	}
	DialogScrollbar(0);
}

void DialogPaintFocus( int oldPos, int newPos )
{
	int  x,y,yo,yn,xm;
	if (!dlg.bPaint) return;
	x = dlg.winX + 25;
	y = dlg.winY + TXTY;
	xm = dlg.winX + dlg.winW - 20;
	yo = y+(oldPos-dlg.startPos)*ROWH;
	yn = y+(newPos-dlg.startPos)*ROWH;
	if (oldPos >= 0) {
		TAP_Osd_FillBox(dlg.rgn, x-5, yo, xm-x+5, ROWH, rgbBackNrm);
		DialogTabString( x, yo+2, xm, oldPos, rgbTextNrm, COLOR_None);
	}
	DialogDrawCursor(0, yn);
	DialogTabString( x, yn+2, xm, newPos, rgbCursorText, COLOR_None);
	DialogScrollbar(0);
}

void DialogPaintItem( int pos )
{
	int  x,y,yi,xm;
	if (!dlg.bPaint) return;
	if (pos < dlg.startPos || pos >= dlg.startPos+dlg.viewRows) return;
	x = dlg.winX + 25;
	y = dlg.winY + TXTY;
	xm = dlg.winX + dlg.winW - 20;
	yi = y+(pos-dlg.startPos)*ROWH;
	if (pos == dlg.currentPos) {
		DialogDrawCursor(0, yi);
		DialogTabString( x, yi+2, xm, pos, rgbCursorText, COLOR_None);
	} else {
		TAP_Osd_FillBox(dlg.rgn, x-5, yi, xm-x+5, ROWH, rgbBackNrm);
		DialogTabString( x, yi+2, xm, pos, rgbTextNrm, COLOR_None);
	}
}

void DialogAddItem( char *item1 )
{
	dword num;
	if (dlg.bVisible && dlg.itemCount < MAX_ROWS) {
		strcpy(itemBufPos, item1);
		item[dlg.itemCount] = itemBufPos;
		itemBufPos += strlen(item1)+1;
		if (dlg.itemCount < dlg.viewRows)
			DialogPaintItem(dlg.itemCount);
		else {
			DialogScrollbar(0);
		}
		dlg.itemCount++;
	}
}

void DialogShowPosition()
{
	int w,h;
	static int x = -1;
	static int y = -1;
	w = 54; h = 24;
	if (x >= 0 && y >= 0)
		TAP_Osd_FillBox(dlg.rgn, x, y, w, h, COLOR_None);
	x = options[15].value;
	y = options[16].value;
	if (x >= 74 && x <= 592 && y >= 88 && y <= 464) {
		x = y = -1;
		return;
	}
	TAP_Osd_PutS(dlg.rgn, x+2, y+2, x+w, S_COUNTDOWN, RGB(1,1,1), COLOR_None, 0, FNT_Size_1622, 0, ALIGN_LEFT);
	TAP_Osd_PutS(dlg.rgn, x, y, x+w, S_COUNTDOWN,  RGB(31,31,31), COLOR_None, 0, FNT_Size_1622, 0, ALIGN_LEFT);
}

int DialogGetKeyIndex( int kcode )
{
	int i;
	for (i=0; i<KEY_COUNT; i++) {
		if (kcode == keyCode[i]) return i;
	}
	return -1;
}

void DialogEditOption( int pos, int delta )
{
	int keyIndex;
	if (options[pos].typ == MENU_TYPE_Key) {
		keyIndex = DialogGetKeyIndex(options[pos].value);
		keyIndex+=delta;
		if (keyIndex > options[pos].max)
			keyIndex = options[pos].min;
		if (keyIndex < options[pos].min)
			keyIndex = options[pos].max;
	} else {
		options[pos].value+=delta;
		if (options[pos].value > options[pos].max)
			options[pos].value = options[pos].min;
		if (options[pos].value < options[pos].min)
			options[pos].value = options[pos].max;
	}
	switch (options[pos].typ) {
		case MENU_TYPE_Bool:
			if (options[pos].value == 0)
				TAP_SPrint(item[pos]+36, "aus  ");
			else
				TAP_SPrint(item[pos]+36, "ein  ");
			break;
		case MENU_TYPE_Int:
			TAP_SPrint(item[pos]+36, "%d    ", options[pos].value);
			if (pos == 15 || pos == 16) DialogShowPosition();
			break;
		case MENU_TYPE_Key:
			options[pos].value = keyCode[keyIndex];
			TAP_SPrint(item[pos]+36, "%s\0", keyName[keyIndex]);
			break;
		case MENU_TYPE_Action:
			TAP_SPrint(item[pos]+36, "    ");
			break;
	}
}

void DialogSetOptions()
{
	int i = 0;
	pIni->bPatch20 = options[i++].value;
	pIni->bPatch51 = options[i++].value;
	pIni->bBookmarkS = options[i++].value;
	pIni->bBookmarkE = options[i++].value;
	pIni->bBMImport = options[i++].value;
	pIni->bFilmList = options[i++].value;
	pIni->bAviator = options[i++].value;
	pIni->bReload = options[i++].value;
	pIni->bPatchFseek = options[i++].value;
	pIni->bTurbolader = options[i++].value;
	pIni->bPatchEPG = options[i++].value;
	pIni->bRename = options[i++].value;
	pIni->bSubdirs = options[i++].value;
	pIni->bBlackbox = options[i++].value;
	pIni->bLetterbox = options[i++].value;
	pIni->countdownX = options[i++].value;
	pIni->countdownY = options[i++].value;
	pIni->jumpDelay = options[i++].value;
	pIni->volume = options[i++].value;
	pIni->dejavue = options[i++].value;
	pIni->menuKey = options[i++].value;
	pIni->autoStart = options[i++].value;
	pIni->seekStep = options[i++].value;
}

void DialogGetOptions()
{
	int i = 0;
	options[i++].value = (int) pIni->bPatch20;
	options[i++].value = (int) pIni->bPatch51;
	options[i++].value = (int) pIni->bBookmarkS;
	options[i++].value = (int) pIni->bBookmarkE;
	options[i++].value = (int) pIni->bBMImport;
	options[i++].value = (int) pIni->bFilmList;
	options[i++].value = (int) pIni->bAviator;
	options[i++].value = (int) pIni->bReload;
	options[i++].value = (int) pIni->bPatchFseek;
	options[i++].value = (int) pIni->bTurbolader;
	options[i++].value = (int) pIni->bPatchEPG;
	options[i++].value = (int) pIni->bRename;
	options[i++].value = (int) pIni->bSubdirs;
	options[i++].value = (int) pIni->bBlackbox;
	options[i++].value = (int) pIni->bLetterbox;
	options[i++].value = (int) pIni->countdownX;
	options[i++].value = (int) pIni->countdownY;
	options[i++].value = (int) pIni->jumpDelay;
	options[i++].value = (int) pIni->volume;
	options[i++].value = (int) pIni->dejavue;
	options[i++].value = (int) pIni->menuKey;
	options[i++].value = (int) pIni->autoStart;
	options[i++].value = (int) pIni->seekStep;
}

dword DialogKey( dword key )
{
	switch (key) {
		case RKEY_Ok:
			if (dlg.bEdit) {
				DialogSetOptions();
				DialogClose();
				if (options[dlg.currentPos].typ == MENU_TYPE_Action)
					return options[dlg.currentPos].max;
				return MENU_SAVE;
			} else {
				DialogClose();
				if (dlg.currentPos == 0) return MENU_CANCEL;
				return MENU_NONE;
			}
		case RKEY_Exit:
			DialogClose();
			break;
		case RKEY_ChUp:
			dlg.currentPos--;
			if (dlg.currentPos < 0) {
				dlg.currentPos = dlg.itemCount-1;
				dlg.startPos = dlg.itemCount - dlg.viewRows;
				if (dlg.startPos < 0) dlg.startPos = 0;
				DialogPaint();
				return MENU_NONE;
			} else {
				if (dlg.currentPos < dlg.startPos) {
					dlg.startPos -= dlg.viewRows;
					if (dlg.startPos < 0) dlg.startPos = 0;
					DialogPaint();
					return MENU_NONE;
				}
			}
			if (!DialogScrollCursor(dlg.currentPos+1, dlg.currentPos, FALSE))
				DialogPaintFocus(dlg.currentPos+1, dlg.currentPos);
			break;
		case RKEY_ChDown:
			dlg.currentPos++;
			if (dlg.currentPos >= dlg.itemCount) {
				dlg.currentPos = dlg.startPos = 0;
				DialogPaint();
				return MENU_NONE;
			} else {
				if (dlg.currentPos >= dlg.startPos+dlg.viewRows) {
					dlg.startPos += dlg.viewRows;
					if (dlg.startPos > dlg.itemCount-dlg.viewRows)
						dlg.startPos = dlg.itemCount-dlg.viewRows;
					DialogPaint();
					return MENU_NONE;
				}
			}
			if (!DialogScrollCursor(dlg.currentPos-1, dlg.currentPos, TRUE))
				DialogPaintFocus(dlg.currentPos-1, dlg.currentPos);
			break;
		case RKEY_VolUp:
			if (dlg.bEdit) {
				DialogEditOption(dlg.currentPos, 1);
				DialogPaintEdit(dlg.currentPos);
			}
			break;
		case RKEY_VolDown:
			if (dlg.bEdit) {
				DialogEditOption(dlg.currentPos, -1);
				DialogPaintEdit(dlg.currentPos);
			}
			break;
		case RKEY_Forward:
			if (dlg.bEdit) {
				DialogEditOption(dlg.currentPos, 10);
				DialogPaintEdit(dlg.currentPos);
			}
			break;
		case RKEY_Rewind:
			if (dlg.bEdit) {
				DialogEditOption(dlg.currentPos, -10);
				DialogPaintEdit(dlg.currentPos);
			}
			break;
		case RKEY_Next:
			if (dlg.bEdit) {
				DialogEditOption(dlg.currentPos, 100);
				DialogPaintEdit(dlg.currentPos);
			}
			break;
		case RKEY_Prev:
			if (dlg.bEdit) {
				DialogEditOption(dlg.currentPos, -100);
				DialogPaintEdit(dlg.currentPos);
			}
			break;
		case RKEY_0:
		case RKEY_1:
		case RKEY_2:
		case RKEY_3:
		case RKEY_4:
		case RKEY_5:
		case RKEY_6:
		case RKEY_7:
		case RKEY_8:
		case RKEY_9:
			dlg.rowNumber = dlg.rowNumber*10 + (key-RKEY_0);
			dlg.rowDigits++;
			if (dlg.rowDigits >= 2) {
				if (dlg.rowNumber > 0 && dlg.rowNumber <= dlg.itemCount) {
					dlg.currentPos = dlg.rowNumber-1;
					dlg.startPos = dlg.rowNumber-5;
					if (dlg.startPos < 0) dlg.startPos = 0;
					if (dlg.startPos > dlg.itemCount-dlg.viewRows)
						dlg.startPos = dlg.itemCount-dlg.viewRows;
					DialogPaint();
				}
				dlg.rowDigits = dlg.rowNumber = 0;
			}
			break;
	}
	return MENU_NONE;
}

void DialogBackground( char *title )
{
	int i,alpha;
	dlg.winX = (720-dlg.winW)>>1;
	dlg.winY = (576-dlg.winH)>>1;
	dlg.rgn = TAP_Osd_Create(0, 0, 720, 576, 0, 0);
	dlg.viewRows = (dlg.winH-64)/ROWH;
	if (dlg.viewRows == 0) dlg.viewRows=1;
	itemBufPos = itemBuffer;
	TAP_Osd_FillBox(dlg.rgn, 0, 0, 720, 576, 0);
	alpha = 255-TAP_GetSystemVar(SYSVAR_OsdAlpha);
	TAP_Osd_SetTransparency(dlg.rgn, alpha);
	TAP_Osd_PutGd(dlg.rgn, dlg.winX, dlg.winY, &_overfly5tGd, TRUE);
	for (i=0; i<dlg.viewRows-2; i++)
		TAP_Osd_PutGd(dlg.rgn, dlg.winX, dlg.winY+76+(i*26), &_overfly5cGd, TRUE);
	TAP_Osd_PutGd(dlg.rgn, dlg.winX, dlg.winY+dlg.winH-40, &_overfly5bGd, TRUE);
	TAP_Osd_PutS(dlg.rgn, dlg.winX+40, dlg.winY+10, dlg.winX+300, title, COLOR_White, COLOR_None, 0, FNT_Size_1622, 0, ALIGN_CENTER);
	TAP_Osd_FillBox(dlg.rgn, dlg.winX, dlg.winY, 6, 6, 0);
	DialogInitCursor();
	dlg.bVisible = TRUE;
}

void DialogOpen( char *title, tIniFile *ini )
{
	int i;
	pIni = ini;
	DialogGetOptions();
	TAP_ExitNormal();
	memset(&dlg, 0, sizeof(dlg));
	dlg.winW = 462;
	dlg.winH = 350;
	DialogBackground(title);
	dlg.tabXPos = 300;
	dlg.bEdit = TRUE;
	for (i=0; i<OPTION_COUNT; i++) {
		TAP_SPrint(temp, "%-34s\t %d             ", optionName[i], options[i].value);
		DialogAddItem(temp);
	}
	dlg.bPaint = TRUE;
	for (i=0; i<OPTION_COUNT; i++) {
		DialogEditOption(i, 0);
		DialogPaintItem(i);
	}
}

void DialogOpenScan( char *title )
{
	TAP_ExitNormal();
	memset(&dlg, 0, sizeof(dlg));
	dlg.winW = 460;
	dlg.winH = 76+40;
	DialogBackground(title);
	dlg.bPaint = TRUE;
	dlg.bEdit = FALSE;
	DialogAddItem("Scan abbrechen");
	DialogAddItem("Scan fortsetzen");
}

void DialogClose()
{
	int i,alpha;
	dlg.bVisible = FALSE;
	alpha = 255-TAP_GetSystemVar(SYSVAR_OsdAlpha);
	TAP_Osd_SetTransparency(dlg.rgn, alpha);
	for (i=alpha; i>=24; i-=24) {
		TAP_Osd_SetTransparency(dlg.rgn, i);
		TAP_Delay(2);
	}
	TAP_Osd_FillBox(dlg.rgn, 0, 0, 720, 576, 0);
	TAP_Osd_SetTransparency(dlg.rgn, alpha);
	TAP_Osd_Delete(dlg.rgn);
	TAP_EnterNormal();
	bDialog = FALSE;
}


