
#ifndef _DIRSCAN_H_
#define _DIRSCAN_H_

typedef struct
{
	dword	startCluster;
	dword	parentCluster;
	char	name[TS_FILE_NAME_SIZE];
} tFolder;

typedef struct
{
	dword	startCluster;
	dword	parentCluster;
	dword	dateTime;
	char	name[TS_FILE_NAME_SIZE];
} tFile;

typedef struct
{
	bool	bScanSubdirs;
	int		fileCount;
	int		fileIndex;
	int		folderCount;
	int		folderIndex;
	dword	rootCluster;
	dword	dataCluster;
} tDirScan;

void ChangeToRoot();

int DSFindFiles( bool subdirs );

tFile * DSGetNextFile();

TYPE_File * DSOpenFile( tFile * file );

void DSSetDirectory( tFile * file );

#endif

