
#ifndef _FILMLIST_H_
#define _FILMLIST_H_

#include "DirScan.h"

#define FILM_LIST_FILE		"Overfly.web"
#define MAX_WERBEBLOCK		10
#define MAX_OLD_FILM		100
#define MAX_NEW_FILM		108

typedef struct
{
	dword	start;
	dword	ende;
} tWerbung;

typedef struct
{
	dword		startCluster;
	dword		fileDateTime;
	tWerbung	werbeBlock[MAX_WERBEBLOCK];
} tFilm;

tFilm newFilmList[MAX_NEW_FILM];
tFilm oldFilmList[MAX_OLD_FILM];

//sizeof(tFilm) == 88 Byte
//sizeof(oldFilmList) == 8800 Byte

void FilmListInit();
int FilmListExists( tFile *file );
tFilm * FilmListGet();
void FilmListDel();
int FilmListFind( dword startCluster, dword fileDateTime );
int FilmListAddFilm( tFile *file );
int FilmListAddBlock( dword start, dword ende );
void FilmListSort();
int FilmListRead();
int FilmListWrite();

#endif

