
#define	INI_FILE		"Overfly.ini"
#define TS_START		0xEB0
#define SMALL_STEP		(16<<10)
#define TEST_BLOCKS		225
#define MAX_BOOKMARKS	20

typedef struct
{
	int			nextStep;
	word		ac3Pid;
	word		ac3Mode;
	word		startMode;
	word		modes[20];
	word		blockCount;
	dword		blocks[20];
	dword		filePos;
	dword		fileSize;
	dword		totalBlocks;
	TYPE_File * file;
	bool		freeTV;
	bool		letterbox;
	bool		eof;
	bool		patched;
	char		oldName[TS_FILE_NAME_SIZE];
	char		newName[TS_FILE_NAME_SIZE];
} tPatch;

typedef struct
{
	int		count;
	int		position[MAX_BOOKMARKS];
} tBookmarks;

typedef struct
{
	int		count;
	dword	start[10];
	dword	ende[10];
} tAdvertising;

typedef struct
{
	bool		bPatch20;
	bool		bPatch51;
	bool		bBookmarkS;
	bool		bBookmarkE;
	bool		bBMImport;
	bool		bFilmList;
	bool		bAviator;
	bool		bReload;
	bool		bPatchFseek;
	bool		bTurbolader;
	bool		bPatchEPG;
	bool		bRename;
	bool		bSubdirs;
	bool		bBlackbox;
	bool		bLetterbox;
	dword		countdownX;
	dword		countdownY;
	dword		menuKey;
	dword		jumpDelay;
	dword		volume;
	int			dejavue;
	dword		autoStart;
	dword		seekStep;
	int			fpos;
} tIniFile;


